## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global undername python_socks

%global _description %{expand:
The python-socks package provides a core proxy client functionality for Python.
Supports SOCKS4(a), SOCKS5, HTTP (tunneling) proxy and provides sync and async
(asyncio, trio) APIs. It is used internally by aiohttp-socks and
httpx-socks packages.
}

Name:           python-socks
Version:        2.4.4
Release:        %autorelease
Summary:        Core proxy (SOCKS4, SOCKS5, HTTP tunneling) functionality for Python

License:        Apache-2.0
URL:            https://github.com/romis2012/%{name}
Source:         %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description %_description

%package -n python3-socks
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
# curio is discontinued upstream and not ready for Python 3.12
Obsoletes:      python3-socks+curio < 2.0.3-7

%description -n python3-socks %_description

# extras: asyncio, trio
%pyproject_extras_subpkg -n python3-socks asyncio trio anyio

%prep
%autosetup

# https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_linters
# Also, remove curio, and all exact and upper bounds on test dep. versions.
sed -r \
    -e 's/^(pytest-cov|coveralls|flake8)\b/# &/' \
    -e 's/^(curio)\b/# &/' \
    -e 's/(==|,<).*//' \
    requirements-dev.txt |
  tee requirements-dev-filtered.txt

%generate_buildrequires
%pyproject_buildrequires -x asyncio,trio,anyio requirements-dev-filtered.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{undername}

%check
# https://github.com/romis2012/python-socks/blob/master/.travis.yml
%pytest tests/

%files -n python3-socks -f %{pyproject_files}
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 2.4.4-2
- Rebuilt for Python 3.13

* Wed Feb 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.4.4-1
- Update to 2.4.4 (close RHBZ#2253652)

* Wed Feb 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.4.3-6
- Add a metapackage for the anyio extra

* Wed Feb 07 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.4.3-4
- Loosen more test dependency version bounds (fix RHBZ#2261606)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Nov 21 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.4.3-1
- feat: update to 2.4.3 (fixes rh#2154633)

* Sat Jul 29 2023 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.0.3-11
- feat: use spdx license

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jul 03 2023 Python Maint <python-maint@redhat.com> - 2.0.3-9
- Rebuilt for Python 3.12

* Mon Jul 03 2023 Miro Hrončok <miro@hroncok.cz> - 2.0.3-8
- Don't BuildRequire linters and coverage

* Mon Jul 03 2023 Miro Hrončok <miro@hroncok.cz> - 2.0.3-7
- Drop the [curio] extra

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Aug 15 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.0.3-5
- chore: rebuild for pyc magic number change (fixes rhbz#2113655)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jul 01 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 2.0.3-3
- feat: modernise spec to use pyproject macros

* Fri Jul 01 2022 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 2.0.3-1
- Update to latest upstream release

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1.2.4-5
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.4-2
- Rebuilt for Python 3.10

* Tue May 11 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- Use py3_dist marcos everywhere
- Remove unneeded egg info removal command

* Mon May 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- use single line extras macro invocation

* Mon May 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- do not use modname as a variable

* Mon May 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- Use github tar
- Enable all tests and remove conditional
- Provide meta packages for extras
- Remove unneeded comments
- Remove weak deps: included by the automatic dep generator in extra sub-packages

* Mon May 10 2021 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 1.2.4-1
- Initial package

## END: Generated by rpmautospec
